.region-primary-menu {
    position: fixed;
    top: 0;
    width: 100%;
    height: 100vh;
    background-color: var(--color-primary-dark-gray);
    opacity: 0;
    padding: 20% 5vw;
    box-sizing: border-box;
    z-index: 999;
}

.region-primary-menu a {
    color: var(--color-primary-white);
}

.region-primary-menu #block-mobilemenuicon {
    cursor: pointer;
    position: absolute;
    right: 8vw;
    top: 8rem;
    transform: none;
    z-index: 9999;
}

.region-primary-menu #block-mobilemenuclose .menu-btn.mobile-menu .mobile-menu-patty:first-child {
    transform: translate(0,12px) rotate(135deg);
    margin: 0;
}

.region-primary-menu #block-mobilemenuclose .menu-btn.mobile-menu .mobile-menu-patty:nth-child(2) {
    transform: translate(0,10px) rotate(45deg);
    margin: 0;
}

.region-primary-menu #block-mobilemenuclose .menu-btn.mobile-menu .mobile-menu-patty:last-child {
    display: none;
}

.region-primary-menu .region-primary-menu-wrapper {
    padding: var(--margin-medium) 5vw;
    margin: 0 auto;
    max-width: var(--content-width-normal);
    width: 100%;
    position: absolute;
    top: 25%;
    left: 50%;
    transform: translateX(-50%);
    box-sizing: border-box;
}

.region-primary-menu-container {
    position: relative;
}

.region-primary-menu .block-system-branding-block {
    box-sizing: border-box;
    display: inline-block;
    margin-bottom: calc(4rem + 4px);
    position: relative;
    vertical-align: middle;
    max-width: 100px;
}

.region-primary-menu .block-system-branding-block::after {
    background-color: var(--color-primary-red);
    bottom: calc(-1rem - 4px);
    content: '';
    display: block;
    height: 4px;
    left: 0;
    position: absolute;
    width: 100%;
}

.region-primary-menu .block-system-branding-block img {
    height: auto;
    width: 100%
}

#block-mobilemenuvendiaddress {
    color: var(--color-primary-white);
    font-family: var(--font-secondary);
    margin-bottom: 4rem;
    text-transform: uppercase;
}

#block-mobilemenuvendiaddress a {
    color: var(--color-primary-white);
    text-decoration: none;
}

#block-vendisocialicons-2 {
    font-size: 0;
}

#block-vendisocialicons-2 ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

#block-vendisocialicons-2 ul li {
    box-sizing: border-box;
    display: inline-block;
    font-size: var(--font-body-small);
    margin: 0;
    padding: 0 2rem 0 0;
    text-transform: uppercase;
    vertical-align: middle;
    width: auto;
}

#block-vendisocialicons-2 svg {
    height: auto;
    max-width: 24px;
    width: 100%;
}

#block-vendi2020-main-menu {
    position: absolute;
    top: 0;
    right: 0;
}

#block-vendi2020-main-menu ul.menu {
    list-style-type: none;
    margin: 0;
    padding: 0;
    text-align: right;
}

#block-vendi2020-main-menu ul.menu li {
    margin-bottom: 2rem;
}

#block-vendi2020-main-menu ul.menu li:last-child {
    margin-bottom: 0;
}

#block-vendi2020-main-menu ul.menu li.menu-item--collapsed {
    list-style-image: none;
}

#block-vendi2020-main-menu ul.menu a {
    color: var(--color-primary-white);
    display: block;
    font-family: var(--font-headline);
    font-size: 4rem;
    position: relative;
    text-decoration: none;
}

#block-vendi2020-main-menu ul.menu a:hover::after {
    background-color: var(--color-primary-red);
    bottom: -4px;
    content: '';
    display: block;
    height: 4px;
    right: 0;
    position: absolute;
    width: 36px;
}

.region.region-header #block-mobilemenuclose {
    display: none;
}

.region-primary-menu #block-mobilemenuclose {
    cursor: pointer;
    position: absolute;
    right: 8vw;
    top: 8rem;
    transform: none;
    z-index: 9999;
}

#block-mobilemenuclose .menu-btn.mobile-menu {
   transform: none;
}

@media (max-width: 1024px) {
    .region-primary-menu .region-primary-menu-wrapper {
        height: 80vh;
    }
}

@media (max-width: 768px) {

    #block-vendi2020-main-menu ul.menu a {
        font-size: 2.5rem;
    }

}

@media screen and (max-width: 450px) {
  .region-primary-menu .vendi-social-block {
    transform: translateY(18rem);
  }
}
